// ModalWidow.scss
$modal-window-padding: 1rem 2rem 1.5rem;
$modal-window-min-width: 20rem;
$modal-window-max-width: 40rem;
$modal-window-body-min-height: 15rem;
$modal-nav-padding: 1rem 2rem 2rem;

.Modal {
  &-backdrop {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
  }

  &-window {
    overflow: hidden;
    border: 1px solid #333;
    border-radius: 0.25rem;
    background-color: #fff;
    min-width: $modal-window-min-width;
    max-width: $modal-window-max-width;
    box-shadow: 0px 0px 24px 0px rgba(0, 0, 0, 0.51);
  }

  &-title {
    padding: $modal-window-padding;
    font-size: 1.75rem;
    font-weight: 700;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    color: rgba(0, 0, 0, 0.5);
    //border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0px 0px 8px lightgrey;

    img {
      height: 3rem;
      padding-left: 2rem;
      opacity: 0.5;
    }
  }

  &-body {
    padding: $modal-window-padding;
    min-height: $modal-window-body-min-height;
    overflow: auto;
  }

  &-nav {
    display: flex;
    justify-content: space-between;
    padding: $modal-nav-padding;
    min-width: 25rem;
  }
}

@media screen and (max-width: 640px) {
  .Modal {
    &-window {
      position: absolute;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      max-width: 100%;
      box-shadow: none;

      .LoaderModal-frame {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate((-50%, -50%));
      }
    }
  }
}
